Loading...
Searching...
No Matches
diagnostic_null_dereference_push.h File Reference

Go to the source code of this file.

## Detailed Description

Dereferences an existing mutable item. Could be used only for iterator which has value (has_value() == true). If asserts or exceptions are enabled, throws an etl::intrusive_avl_tree_iterator_exception if iterator doesn't reference a real item.

Dereferences an existing immutable item. Could be used only for iterator which has value (has_value() == true). If asserts or exceptions are enabled, throws an etl::intrusive_avl_tree_iterator_exception if iterator doesn't reference a real item.